#!/bin/bash -ex

WORKDIR="`pwd`"
BASEDIR=${WORKDIR%/*}  # 一つ上のディレクトリの場所を得る
tempdir1="`mktemp -d "${BASEDIR}/tmp.grub.1.XXXXXXXXXX"`"
tempdir2="`mktemp -d "${BASEDIR}/tmp.grub.2.XXXXXXXXXX"`"
cd "${tempdir1}"

"${BASEDIR}/utl/download-pkg.sh" grub i386 "http://ubuntutym.u-toyama.ac.jp/ubuntu/pool/main/"
cd grub
dpkg -x grub* "${tempdir2}"

cd "${tempdir2}"

cd usr/sbin
for name in *;
do
newname="`echo "${name}"|sed 's/grub/grub1/'`"
if test "${newname}" != "${name}"; then
	mv "${name}" "${newname}" 
	if file "${newname}"|grep -q "shell script"; then
	perl -i -pe "s/${name}/${newname}/g" "${newname}"
	perl -i -pe "s/^PACKAGE\=grub/PACKAGE\=grub1/g" "${newname}"
	fi
fi
done

cd "${tempdir2}"

cd usr/lib
mv grub grub1

cd "${tempdir2}"

find usr/sbin |cpio -pdm "${WORKDIR}"
find usr/lib  |cpio -pdm "${WORKDIR}"

rm -rf "${tempdir1}"
rm -rf "${tempdir2}"
