#!/bin/bash -e
# 1. Target package name
# 2. Target architechture
# 3. Base URL
if test $# -lt 3; then
echo "eg. $0  TargetPackageName"
exit
fi

exitproc()
{ rm -f "${TMPFILE1}" "${TMPFILE2}";}
trap '
exitproc
exit 1
' 2 15

TARGET=${1}
TARGETARCH=${2}
BASEURL=${3}
URL=${BASEURL}${TARGET:0:1}/${TARGET}/
TARGETEXT=deb
mkdir -p ${TARGET}
cd "${TARGET}" || exit 1

protocol=${URL%%//*}  # 最初の//より前を取り出す
urlrest=${URL#*//}  # 最初の//より後ろを取り出す
urltop=${urlrest%%/*}  # 最初の/より前を取り出す
urltop=${protocol}//${urltop}
TMPFILE1="`mktemp`"
TMPFILE2="`mktemp`"
wget -O "${TMPFILE1}" ${URL}
if test $? -eq 0; then
grep \.${TARGETEXT} "${TMPFILE1}"|grep ${TARGETARCH}|sort -r>"${TMPFILE2}" 2>/dev/null
while read -r line
do
testline=${line#*url=*}  # 最初のurlより後ろの文字列
if test "${line}" != "${testline}" ; then
	line=${testline}  # url=が含まれている場合
else
	line=${line#*href*}  # 最初のhrefより後ろの文字列を取り出す
fi
line=${line#*\"*}  # 最初の"より後ろの文字列を取り出す
line=${line%%\"*}  # 最初の"より前の文字列を取り出す   
testline=${line%*\.${TARGETEXT}}  # 指定拡張子の切取を試みる
if test "${line}" != "${testline}" ; then  # 切取に成功した場合
	testline=${line%*//*}  # //が含まれているかチェック
	if test "${line}" != "${testline}" ; then
		TARGETURL=${line}  # //が含まれている場合
	else
		if test "x${line:0:1}" = "x/"; then
		# 絶対パスで指定されている場合
		TARGETURL=${urltop}${line} 
		else
		# 相対パスで指定されている場合
		urlrest=${URL%/*}  # 最後の/より前の文字列を取り出す
		TARGETURL=${urlrest}/${line}
		fi
	fi
TARGETFILE=${TARGETURL##*/}
if ! (test -e ${TARGETFILE}) then
wget -N -O ${TARGETFILE} ${TARGETURL}
test $? -ne 0 && test -e ${TARGETFILE} && rm ${TARGETFILE}
test -e ${TARGETFILE} && ! test -s ${TARGETFILE} && rm ${TARGETFILE}
break
fi
fi
done<"${TMPFILE2}"
fi
rm "${TMPFILE1}" "${TMPFILE2}"
